Bug 993414 - pulp-server depends on MongoDB and qpidd
pulp-server depends on MongoDB and qpidd
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rel-eng (Show other bugs)
Master
Unspecified Unspecified
medium Severity unspecified
: ---
: 2.4.0
Assigned To: Randy Barlow
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 17:16 EDT by Randy Barlow
Modified: 2014-08-09 02:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-09 02:56:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2013-08-05 17:16:23 EDT
Our packaging requires MongoDB and qpidd to be installed on the same host that Pulp is installed on. We shouldn't assume a monolithic install for Pulp.

$ rpm -qR pulp-server
/bin/bash  
/usr/bin/env  
/usr/bin/python  
acl  
config(pulp-server) = 2.2.0-0.24.beta.el6
crontabs  
genisoimage  
httpd  
m2crypto >= 0.21.1.pulp-7
mod_ssl  
mod_wsgi >= 3.4-1.pulp
mongodb  
mongodb-server  
nss >= 3.12.9
nss-tools  
openssl  
pymongo >= 2.1.1
python(abi) = 2.6
python-BeautifulSoup  
python-gofer >= 0.76
python-httplib2  
python-isodate >= 0.5.0-1.pulp
python-ldap  
python-nectar >= 1.0.0
python-oauth2 >= 1.5.170-2.pulp
python-okaara >= 1.0.32
python-pulp-common = 2.2.0
python-qpid  
python-setuptools  
python-webpy  
qpid-cpp-server
Comment 1 Randy Barlow 2014-01-27 16:20:15 EST
https://github.com/pulp/pulp/pull/762
Comment 2 Randy Barlow 2014-01-29 14:06:20 EST
This fix is in our distributed-tasks branch, which is not yet merged to master.
Comment 3 Jeff Ortel 2014-04-03 09:36:07 EDT
build: 2.4.0-0.7.beta
Comment 4 Preethi Thomas 2014-04-15 14:26:31 EDT
verified
[root@pulp-24-server ~]# rpm -qa pulp-server
pulp-server-2.4.0-0.9.beta.el6.noarch
[root@pulp-24-server ~]# 

[root@pulp-24-server ~]#  rpm -qR pulp-server
/bin/bash  
/bin/sh  
/bin/sh  
/usr/bin/python  
acl  
config(pulp-server) = 2.4.0-0.9.beta.el6
crontabs  
genisoimage  
httpd  
m2crypto >= 0.21.1-8.pulp
mod_ssl  
mod_wsgi >= 3.4-1.pulp
nss >= 3.12.9
nss-tools  
openssl  
python(abi) = 2.6
python-BeautifulSoup  
python-celery >= 3.1.0
python-celery < 3.2.0
python-gofer >= 1.0.5
python-gofer-qpid >= 1.0.5
python-httplib2  
python-isodate >= 0.5.0-1.pulp
python-ldap  
python-nectar >= 1.1.6
python-oauth2 >= 1.5.211
python-okaara >= 1.0.32
python-pulp-common = 2.4.0
python-pymongo >= 2.5.2
python-qpid  
python-setuptools  
python-webpy  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
[root@pulp-24-server ~]#
Comment 5 Randy Barlow 2014-08-09 02:56:40 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.